Name:                xml-maven-plugin
Version:             1.0.2
Release:             1
Summary:             Maven XML Plugin
License:             ASL 2.0
URL:                 http://www.mojohaus.org/xml-maven-plugin/
Source0:             https://repo1.maven.org/maven2/org/codehaus/mojo/xml-maven-plugin/%{version}/xml-maven-plugin-%{version}-source-release.zip

BuildRequires:       maven-local mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.codehaus.mojo:mojo-parent:pom:) mvn(org.codehaus.plexus:plexus-io)
BuildRequires:       mvn(org.codehaus.plexus:plexus-resources) mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:       mvn(xml-resolver:xml-resolver)
BuildArch:           noarch

%description
A plugin for various XML related tasks like validation and transformation.

%package javadoc
Summary:             Javadocs for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done
sed -i 's|stylesheet |stylesheet version="1.0" |'  src/it/it8/src/main/xsl/it8.xsl

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Fri Aug 14 2020 maminjie <maminjie1@huawei.com> - 1.0.2-1
- package init
